数据提供商: Keepa
查找 Amazon 降价商品与优惠
$0.007198 / 次调用在 25 秒内响应
可以按市场类型、价格类型、类别、标题、折扣幅度以及价格区间来查找最近更新的Amazon优惠信息。返回最多包含150条交易记录的页面,并提供这些记录所属类别的汇总信息。使用 page 浏览最多 10000 条结果,不自动分页。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Keepa endpoint /deal on Glasser.bash
glasser run -p keepa -e '/deal' -i '{"selection":{"domainId":1,"dateRange":1,"priceTypes":[0]}}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"keepa","endpoint":"/deal","input":{"selection":{"domainId":1,"dateRange":1,"priceTypes":[0]}},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
购买前评估商品时,可以将可用详情与你的需求比较,确定需要进一步了解的内容。
复制此提示词到你的 Agent,按购买需求审阅商品。
提示词
Use keepa:/deal on Glasser.
Check this product against my buying requirements using the details actually returned.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"selection"
],
"properties": {
"selection": {
"type": "object",
"required": [
"domainId",
"priceTypes"
],
"properties": {
"page": {
"type": "integer",
"maximum": 66,
"minimum": 0
},
"size": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"type": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"brand": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"color": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"model": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"scent": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"style": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"author": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"format": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"binding": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"edition": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"pattern": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"domainId": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11
],
"type": "number"
},
"isLowest": {
"type": "boolean"
},
"isRisers": {
"type": "boolean"
},
"itemForm": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"material": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"sortType": {
"enum": [
1,
2,
3,
4,
-2,
-3,
-4
],
"type": "number"
},
"unitType": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"dateRange": {
"type": "integer",
"maximum": 3,
"minimum": 0
},
"isHighest": {
"type": "boolean"
},
"languages": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"minRating": {
"type": "integer",
"maximum": 50,
"minimum": -1
},
"deltaRange": {
"anyOf": [
{
"type": "array",
"items": [
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
}
],
"maxItems": 2,
"minItems": 2
},
{
"type": "null"
}
]
},
"hasReviews": {
"type": "boolean"
},
"isLowest90": {
"type": "boolean"
},
"priceTypes": {
"type": "array",
"items": [
{
"enum": [
0,
1,
2,
3,
5,
6,
7,
8,
9,
10,
18,
19,
20,
21,
22,
27,
32,
33
],
"type": "number"
}
],
"maxItems": 1,
"minItems": 1
},
"titleSearch": {
"anyOf": [
{
"type": "string",
"maxLength": 1000,
"minLength": 1
},
{
"type": "null"
}
]
},
"currentRange": {
"anyOf": [
{
"type": "array",
"items": [
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
}
],
"maxItems": 2,
"minItems": 2
},
{
"type": "null"
}
]
},
"filterErotic": {
"type": "boolean"
},
"isOutOfStock": {
"type": "boolean"
},
"manufacturer": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"isBackInStock": {
"type": "boolean"
},
"isLowestOffer": {
"type": "boolean"
},
"brandStoreName": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"deltaLastRange": {
"anyOf": [
{
"type": "array",
"items": [
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
}
],
"maxItems": 2,
"minItems": 2
},
{
"type": "null"
}
]
},
"isRangeEnabled": {
"type": "boolean"
},
"salesRankRange": {
"anyOf": [
{
"type": "array",
"items": [
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
}
],
"maxItems": 2,
"minItems": 2
},
{
"type": "null"
}
]
},
"isFilterEnabled": {
"type": "boolean"
},
"itemTypeKeyword": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"singleVariation": {
"type": "boolean"
},
"isPrimeExclusive": {
"type": "boolean"
},
"brandStoreUrlName": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"deltaPercentRange": {
"anyOf": [
{
"type": "array",
"items": [
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
{
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
}
],
"maxItems": 2,
"minItems": 2
},
{
"type": "null"
}
]
},
"excludeCategories": {
"type": "array",
"items": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"maxItems": 500,
"minItems": 1
},
"includeCategories": {
"type": "array",
"items": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"maxItems": 500,
"minItems": 1
},
"mustHaveAmazonOffer": {
"type": "boolean"
},
"warehouseConditions": {
"type": "array",
"items": {
"type": "integer",
"maximum": 5,
"minimum": 1
},
"maxItems": 5,
"minItems": 1
},
"websiteDisplayGroup": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"salesRankDisplayGroup": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"targetAudienceKeyword": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"mustNotHaveAmazonOffer": {
"type": "boolean"
},
"websiteDisplayGroupName": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}json
{
"selection": {
"domainId": 1,
"dateRange": 1,
"priceTypes": [
0
]
}
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.007198 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |